Subject: Re: [PATCH v3 RESEND 3/6] bitmap: Make bitmap_onto() available to users

From: Herve Codina <[email-masked]>
Date: Thu, 15 Feb 2024 18:46:12 +0100

Hi Andy, Yury,

On Mon, 12 Feb 2024 11:13:13 -0800
Yury Norov <[email-masked]> wrote:

...

> 
> That's I agree. Scatter/gather from your last approach sound better.
> Do you plan to send a v2?
> 
...
> 
> I think your scatter/gather is better then this onto/off by naming and
> implementation. If you'll send a v2, and it would work for Herve, I'd
> prefer scatter/gather. But we can live with onto/off as well.
> 

Andy, I tested your bitmap_{scatter,gather}() in my code.
I simply replaced my bitmap_{onto,off}() calls by calls to your helpers and
it works perfectly for my use case.

I didn't use your whole patch
  "[PATCH v1 2/5] lib/bitmap: Introduce bitmap_scatter() and bitmap_gather() helpers"
because it didn't apply on a v6.8-rc1 based branch.
I just manually extracted the needed functions for my tests and I didn't look
at the lib/test_bitmap.c part.

Now what's the plan ?
Andy, do you want to send a v2 of this patch or may I get the patch, modify it
according to reviews already present in v1 and integrate it in my current
series ?

Yury, any preferences ?

Best regards,
Hervé
-- 
Hervé Codina, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com